-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa

addEvent("lvlsystem:request", true)
addEventHandler("lvlsystem:request", resourceRoot, function(lvl,check)
   local result=exports["cmta-db"]:dbGet("SELECT * FROM cmta_levels WHERE level=?",lvl+1)
   if result then
   local data = getElementData(client,"player:data")
   data.requestexp = tonumber(result[1]["requestexp"])
   data.lvl = data.lvl+1
   setElementData(client,"player:data",data)
   exports["cmta-osiagniecia"]:lvlup(client)
   if check then
      if not exports["cmta-osiagniecia"]:hasPlayerAchievement(client, check) then
         exports["cmta-osiagniecia"]:addAchievement(client, check)
      end
   end
   triggerClientEvent(client,"lvlsystem:againrequest",resourceRoot)
   end
end)



